<?php

// Defines
define( 'FL_CHILD_THEME_DIR', get_stylesheet_directory() );
define( 'FL_CHILD_THEME_URL', get_stylesheet_directory_uri() );

// Classes
require_once 'classes/class-fl-child-theme.php';

// Actions
add_action( 'wp_enqueue_scripts', 'FLChildTheme::enqueue_scripts', 1000 );

// Shortcode for the copyright year
function currentyear_shortcode() { $year = date('Y'); return $year; } 
add_shortcode('currentyear', 'currentyear_shortcode'); 

//Here's my custom CSS that removes the back link in a function
function my_login_remove_password_eye() { ?>
    <style type=text/css>
        body.login div#login form#loginform .wp-pwd button{
          display: none !important;
        }
    </style>
<?php }
 
//This loads the function above on the login page
//Here's my custom CSS that removes the back link in a function
add_action( "login_enqueue_scripts", "my_login_remove_password_eye" );
add_action( 'template_redirect', 'redirect_canonical', 0 );
